> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

` GET /blockscout/search `

Search

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` q ` (query, optional)

- ` value `: type ` string `

  - example: ` "USDT" `

Example:

```json
"USDT"
```

## Responses

### ` 200 ` — Search Response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` items `: type ` array `

    - ` array item `: type ` unknown `

      - ` oneOf alternative 1 `: type ` object `

        - Required fields: ` address `, ` address_url `, ` exchange_rate `, ` icon_url `, ` is_smart_contract_verified `, ` name `, ` symbol `, ` token_type `, ` token_url `, ` total_supply `, ` type `

        - ` address `: type ` string `

          - example: ` "0xdAC17F958D2ee523a2206206994597C13D831ec7" `

        - ` address_url `: type ` string `

          - example: ` "/address/0xdAC17F958D2ee523a2206206994597C13D831ec7" `

        - ` exchange_rate `: type ` string `

          - example: ` "0.999813" `

        - ` icon_url `: type ` string `

          - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

        - ` is_smart_contract_verified `: type ` boolean `

          - example: ` true `

        - ` name `: type ` string `

          - example: ` "Tether USD" `

        - ` symbol `: type ` string `

          - example: ` "USDT" `

        - ` token_type `: type ` string `

          - example: ` "ERC-20" `

        - ` token_url `: type ` string `

          - example: ` "/token/0xdAC17F958D2ee523a2206206994597C13D831ec7" `

        - ` total_supply `: type ` string `

          - example: ` "39030615894320966" `

        - ` type `: type ` string `

          - example: ` "token" `

      - ` oneOf alternative 2 `: type ` object `

        - Required fields: ` address `, ` is_smart_contract_verified `, ` name `, ` type `, ` url `

        - ` address `: type ` string `

          - example: ` "0xe2FBdeADC82c71C1b8bFf9CA4f9E7666224A362c" `

        - ` is_smart_contract_verified `: type ` boolean `

          - example: ` true `

        - ` name `: type ` string `

          - example: ` "Name" `

        - ` type `: type ` string `

          - example: ` "address|contract" `

        - ` url `: type ` string `

          - example: ` "/xdai/mainnet/address/0xc1c1031e4A44B98707203480029e6576CB3267e3" `

      - ` oneOf alternative 3 `: type ` object `

        - Required fields: ` block_hash `, ` block_number `, ` timestamp `, ` type `, ` url `

        - ` block_hash `: type ` string `

          - example: ` "0xba83e9ba0b43e8d112a07fdab08d53f473d2b7fb0e585bd437ae739933db203e" `

        - ` block_number `: type ` integer `

          - example: ` 24816691 `

        - ` timestamp `: type ` string `

          - example: ` "2022-10-31T07:18:05.000000Z" `

        - ` type `: type ` string `

          - example: ` "block" `

        - ` url `: type ` string `

          - example: ` "/xdai/mainnet/block/0xba83e9ba0b43e8d112a07fdab08d53f473d2b7fb0e585bd437ae739933db203e" `

      - ` oneOf alternative 4 `: type ` object `

        - Required fields: ` timestamp `, ` transaction_hash `, ` type `, ` url `

        - ` timestamp `: type ` string `

          - example: ` "2022-10-31T07:18:05.000000Z" `

        - ` transaction_hash `: type ` string `

          - example: ` "0xe38c6772f33edfbd218f59853befe18391cb786f911fb6c0b00ed6dd72ef6e69" `

        - ` type `: type ` string `

          - example: ` "transaction" `

        - ` url `: type ` string `

          - example: ` "/xdai/mainnet/tx/0xe38c6772f33edfbd218f59853befe18391cb786f911fb6c0b00ed6dd72ef6e69" `

  - ` next_page_params `: type ` object `

    - example: ` {"address_hash":"0x052Ad78E3aA0b0F2D3912FD3b50a9a289CF2f7Aa","block_hash":null,"holder_count":548,"inserted_at":"2021-12-07T08:39:01.062253Z","item_type":"token","items_count":50,"name":"RealToken S 13245 Monica St Detroit MI","q":"1","transaction_hash":null} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/search'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/search', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/search')
print(response.json())
```